Package org.eclipse.m2m.atl.emftvm.util

# Class EmftvmAdapterFactory

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
org.eclipse.m2m.atl.emftvm.util.EmftvmAdapterFactory

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.AdapterFactory`

Direct Known Subclasses:
  `EmftvmItemProviderAdapterFactory`

public class EmftvmAdapterFactory extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  - `EmftvmPackage`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static EmftvmPackage`
`modelPackage`
The cached model package.
`protected EmftvmSwitch<org.eclipse.emf.common.notify.Adapter>`
`modelSwitch`
The switch that delegates to the `createXXX` methods.

## Constructor Summary

Constructors
Constructor
Description
`EmftvmAdapterFactory()`
Creates an instance of the adapter factory.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.Adapter`
`createAdapter(org.eclipse.emf.common.notify.Notifier target)`
Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter`
`createAddAdapter()`
Creates a new adapter for an object of class '`Add`'.
`org.eclipse.emf.common.notify.Adapter`
`createAllinstAdapter()`
Creates a new adapter for an object of class '`Allinst`'.
`org.eclipse.emf.common.notify.Adapter`
`createAllinstInAdapter()`
Creates a new adapter for an object of class '`Allinst In`'.
`org.eclipse.emf.common.notify.Adapter`
`createAndAdapter()`
Creates a new adapter for an object of class '`And`'.
`org.eclipse.emf.common.notify.Adapter`
`createBranchInstructionAdapter()`
Creates a new adapter for an object of class '`Branch Instruction`'.
`org.eclipse.emf.common.notify.Adapter`
`createCodeBlockAdapter()`
Creates a new adapter for an object of class '`Code Block`'.
`org.eclipse.emf.common.notify.Adapter`
`createCodeBlockInstructionAdapter()`
Creates a new adapter for an object of class '`Code Block Instruction`'.
`org.eclipse.emf.common.notify.Adapter`
`createDeleteAdapter()`
Creates a new adapter for an object of class '`Delete`'.
`org.eclipse.emf.common.notify.Adapter`
`createDupAdapter()`
Creates a new adapter for an object of class '`Dup`'.
`org.eclipse.emf.common.notify.Adapter`
`createDupX1Adapter()`
Creates a new adapter for an object of class '`Dup X1`'.
`org.eclipse.emf.common.notify.Adapter`
`createEnditerateAdapter()`
Creates a new adapter for an object of class '`Enditerate`'.
`org.eclipse.emf.common.notify.Adapter`
`createEObjectAdapter()`
Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter`
`createExecEnvAdapter()`
Creates a new adapter for an object of class '`Exec Env`'.
`org.eclipse.emf.common.notify.Adapter`
`createFeatureAdapter()`
Creates a new adapter for an object of class '`Feature`'.
`org.eclipse.emf.common.notify.Adapter`
`createFieldAdapter()`
Creates a new adapter for an object of class '`Field`'.
`org.eclipse.emf.common.notify.Adapter`
`createFieldInstructionAdapter()`
Creates a new adapter for an object of class '`Field Instruction`'.
`org.eclipse.emf.common.notify.Adapter`
`createFindtypeAdapter()`
Creates a new adapter for an object of class '`Findtype`'.
`org.eclipse.emf.common.notify.Adapter`
`createFindtypeSAdapter()`
Creates a new adapter for an object of class '`Findtype S`'.
`org.eclipse.emf.common.notify.Adapter`
`createGetAdapter()`
Creates a new adapter for an object of class '`Get`'.
`org.eclipse.emf.common.notify.Adapter`
`createGetcbAdapter()`
Creates a new adapter for an object of class '`Getcb`'.
`org.eclipse.emf.common.notify.Adapter`
`createGetenvAdapter()`
Creates a new adapter for an object of class '`Getenv`'.
`org.eclipse.emf.common.notify.Adapter`
`createGetenvtypeAdapter()`
Creates a new adapter for an object of class '`Getenvtype`'.
`org.eclipse.emf.common.notify.Adapter`
`createGetStaticAdapter()`
Creates a new adapter for an object of class '`Get Static`'.
`org.eclipse.emf.common.notify.Adapter`
`createGetSuperAdapter()`
Creates a new adapter for an object of class '`Get Super`'.
`org.eclipse.emf.common.notify.Adapter`
`createGetTransAdapter()`
Creates a new adapter for an object of class '`Get Trans`'.
`org.eclipse.emf.common.notify.Adapter`
`createGotoAdapter()`
Creates a new adapter for an object of class '`Goto`'.
`org.eclipse.emf.common.notify.Adapter`
`createIfAdapter()`
Creates a new adapter for an object of class '`If`'.
`org.eclipse.emf.common.notify.Adapter`
`createIfnAdapter()`
Creates a new adapter for an object of class '`Ifn`'.
`org.eclipse.emf.common.notify.Adapter`
`createIfteAdapter()`
Creates a new adapter for an object of class '`Ifte`'.
`org.eclipse.emf.common.notify.Adapter`
`createImpliesAdapter()`
Creates a new adapter for an object of class '`Implies`'.
`org.eclipse.emf.common.notify.Adapter`
`createInputRuleElementAdapter()`
Creates a new adapter for an object of class '`Input Rule Element`'.
`org.eclipse.emf.common.notify.Adapter`
`createInsertAdapter()`
Creates a new adapter for an object of class '`Insert`'.
`org.eclipse.emf.common.notify.Adapter`
`createInstructionAdapter()`
Creates a new adapter for an object of class '`Instruction`'.
`org.eclipse.emf.common.notify.Adapter`
`createInvokeAdapter()`
Creates a new adapter for an object of class '`Invoke`'.
`org.eclipse.emf.common.notify.Adapter`
`createInvokeAllCbsAdapter()`
Creates a new adapter for an object of class '`Invoke All Cbs`'.
`org.eclipse.emf.common.notify.Adapter`
`createInvokeCbAdapter()`
Creates a new adapter for an object of class '`Invoke Cb`'.
`org.eclipse.emf.common.notify.Adapter`
`createInvokeCbSAdapter()`
Creates a new adapter for an object of class '`Invoke Cb S`'.
`org.eclipse.emf.common.notify.Adapter`
`createInvokeInstructionAdapter()`
Creates a new adapter for an object of class '`Invoke Instruction`'.
`org.eclipse.emf.common.notify.Adapter`
`createInvokeOperationInstructionAdapter()`
Creates a new adapter for an object of class '`Invoke Operation Instruction`'.
`org.eclipse.emf.common.notify.Adapter`
`createInvokeStaticAdapter()`
Creates a new adapter for an object of class '`Invoke Static`'.
`org.eclipse.emf.common.notify.Adapter`
`createInvokeSuperAdapter()`
Creates a new adapter for an object of class '`Invoke Super`'.
`org.eclipse.emf.common.notify.Adapter`
`createIsnullAdapter()`
Creates a new adapter for an object of class '`Isnull`'.
`org.eclipse.emf.common.notify.Adapter`
`createIterateAdapter()`
Creates a new adapter for an object of class '`Iterate`'.
`org.eclipse.emf.common.notify.Adapter`
`createLineNumberAdapter()`
Creates a new adapter for an object of class '`Line Number`'.
`org.eclipse.emf.common.notify.Adapter`
`createLoadAdapter()`
Creates a new adapter for an object of class '`Load`'.
`org.eclipse.emf.common.notify.Adapter`
`createLocalVariableAdapter()`
Creates a new adapter for an object of class '`Local Variable`'.
`org.eclipse.emf.common.notify.Adapter`
`createLocalVariableInstructionAdapter()`
Creates a new adapter for an object of class '`Local Variable Instruction`'.
`org.eclipse.emf.common.notify.Adapter`
`createMatchAdapter()`
Creates a new adapter for an object of class '`Match`'.
`org.eclipse.emf.common.notify.Adapter`
`createMatchSAdapter()`
Creates a new adapter for an object of class '`Match S`'.
`org.eclipse.emf.common.notify.Adapter`
`createMetamodelAdapter()`
Creates a new adapter for an object of class '`Metamodel`'.
`org.eclipse.emf.common.notify.Adapter`
`createModelAdapter()`
Creates a new adapter for an object of class '`Model`'.
`org.eclipse.emf.common.notify.Adapter`
`createModelDeclarationAdapter()`
Creates a new adapter for an object of class '`Model Declaration`'.
`org.eclipse.emf.common.notify.Adapter`
`createModuleAdapter()`
Creates a new adapter for an object of class '`Module`'.
`org.eclipse.emf.common.notify.Adapter`
`createNamedElementAdapter()`
Creates a new adapter for an object of class '`Named Element`'.
`org.eclipse.emf.common.notify.Adapter`
`createNewAdapter()`
Creates a new adapter for an object of class '`New`'.
`org.eclipse.emf.common.notify.Adapter`
`createNewSAdapter()`
Creates a new adapter for an object of class '`New S`'.
`org.eclipse.emf.common.notify.Adapter`
`createNotAdapter()`
Creates a new adapter for an object of class '`Not`'.
`org.eclipse.emf.common.notify.Adapter`
`createOperationAdapter()`
Creates a new adapter for an object of class '`Operation`'.
`org.eclipse.emf.common.notify.Adapter`
`createOrAdapter()`
Creates a new adapter for an object of class '`Or`'.
`org.eclipse.emf.common.notify.Adapter`
`createOutputRuleElementAdapter()`
Creates a new adapter for an object of class '`Output Rule Element`'.
`org.eclipse.emf.common.notify.Adapter`
`createParameterAdapter()`
Creates a new adapter for an object of class '`Parameter`'.
`org.eclipse.emf.common.notify.Adapter`
`createPopAdapter()`
Creates a new adapter for an object of class '`Pop`'.
`org.eclipse.emf.common.notify.Adapter`
`createPushAdapter()`
Creates a new adapter for an object of class '`Push`'.
`org.eclipse.emf.common.notify.Adapter`
`createPushfAdapter()`
Creates a new adapter for an object of class '`Pushf`'.
`org.eclipse.emf.common.notify.Adapter`
`createPushtAdapter()`
Creates a new adapter for an object of class '`Pusht`'.
`org.eclipse.emf.common.notify.Adapter`
`createRemoveAdapter()`
Creates a new adapter for an object of class '`Remove`'.
`org.eclipse.emf.common.notify.Adapter`
`createReturnAdapter()`
Creates a new adapter for an object of class '`Return`'.
`org.eclipse.emf.common.notify.Adapter`
`createRuleAdapter()`
Creates a new adapter for an object of class '`Rule`'.
`org.eclipse.emf.common.notify.Adapter`
`createRuleElementAdapter()`
Creates a new adapter for an object of class '`Rule Element`'.
`org.eclipse.emf.common.notify.Adapter`
`createSetAdapter()`
Creates a new adapter for an object of class '`Set`'.
`org.eclipse.emf.common.notify.Adapter`
`createSetStaticAdapter()`
Creates a new adapter for an object of class '`Set Static`'.
`org.eclipse.emf.common.notify.Adapter`
`createStoreAdapter()`
Creates a new adapter for an object of class '`Store`'.
`org.eclipse.emf.common.notify.Adapter`
`createSwapAdapter()`
Creates a new adapter for an object of class '`Swap`'.
`org.eclipse.emf.common.notify.Adapter`
`createSwapX1Adapter()`
Creates a new adapter for an object of class '`Swap X1`'.
`org.eclipse.emf.common.notify.Adapter`
`createTypedElementAdapter()`
Creates a new adapter for an object of class '`Typed Element`'.
`org.eclipse.emf.common.notify.Adapter`
`createXorAdapter()`
Creates a new adapter for an object of class '`Xor`'.
`boolean`
`isFactoryForType(Object object)`
Returns whether this factory is applicable for the type of the object.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### modelPackage

protected static EmftvmPackage modelPackage
The cached model package.

### modelSwitch

protected EmftvmSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch
The switch that delegates to the `createXXX` methods.

## Constructor Details

### EmftvmAdapterFactory

public EmftvmAdapterFactory()
Creates an instance of the adapter factory.

## Method Details

### isFactoryForType

public boolean isFactoryForType(Object object)
Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

Specified by:
  `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Parameters:
  `object` - the object for which to check the type
Returns:
  whether this factory is applicable for the type of the object.

### createAdapter

public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)
Creates an adapter for the `target`.

Overrides:
  `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Parameters:
  `target` - the object to adapt.
Returns:
  the adapter for the `target`.

### createModuleAdapter

public org.eclipse.emf.common.notify.Adapter createModuleAdapter()
Creates a new adapter for an object of class '`Module`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Module`

### createModelDeclarationAdapter

public org.eclipse.emf.common.notify.Adapter createModelDeclarationAdapter()
Creates a new adapter for an object of class '`Model Declaration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `ModelDeclaration`

### createFeatureAdapter

public org.eclipse.emf.common.notify.Adapter createFeatureAdapter()
Creates a new adapter for an object of class '`Feature`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Feature`

### createFieldAdapter

public org.eclipse.emf.common.notify.Adapter createFieldAdapter()
Creates a new adapter for an object of class '`Field`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Field`

### createOperationAdapter

public org.eclipse.emf.common.notify.Adapter createOperationAdapter()
Creates a new adapter for an object of class '`Operation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Operation`

### createNamedElementAdapter

public org.eclipse.emf.common.notify.Adapter createNamedElementAdapter()
Creates a new adapter for an object of class '`Named Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `NamedElement`

### createParameterAdapter

public org.eclipse.emf.common.notify.Adapter createParameterAdapter()
Creates a new adapter for an object of class '`Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Parameter`

### createTypedElementAdapter

public org.eclipse.emf.common.notify.Adapter createTypedElementAdapter()
Creates a new adapter for an object of class '`Typed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `TypedElement`

### createInstructionAdapter

public org.eclipse.emf.common.notify.Adapter createInstructionAdapter()
Creates a new adapter for an object of class '`Instruction`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Instruction`

### createLineNumberAdapter

public org.eclipse.emf.common.notify.Adapter createLineNumberAdapter()
Creates a new adapter for an object of class '`Line Number`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `LineNumber`

### createLocalVariableAdapter

public org.eclipse.emf.common.notify.Adapter createLocalVariableAdapter()
Creates a new adapter for an object of class '`Local Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `LocalVariable`

### createRuleAdapter

public org.eclipse.emf.common.notify.Adapter createRuleAdapter()
Creates a new adapter for an object of class '`Rule`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Rule`

### createRuleElementAdapter

public org.eclipse.emf.common.notify.Adapter createRuleElementAdapter()
Creates a new adapter for an object of class '`Rule Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `RuleElement`

### createInputRuleElementAdapter

public org.eclipse.emf.common.notify.Adapter createInputRuleElementAdapter()
Creates a new adapter for an object of class '`Input Rule Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `InputRuleElement`

### createOutputRuleElementAdapter

public org.eclipse.emf.common.notify.Adapter createOutputRuleElementAdapter()
Creates a new adapter for an object of class '`Output Rule Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `OutputRuleElement`

### createCodeBlockAdapter

public org.eclipse.emf.common.notify.Adapter createCodeBlockAdapter()
Creates a new adapter for an object of class '`Code Block`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `CodeBlock`

### createPushAdapter

public org.eclipse.emf.common.notify.Adapter createPushAdapter()
Creates a new adapter for an object of class '`Push`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Push`

### createPushtAdapter

public org.eclipse.emf.common.notify.Adapter createPushtAdapter()
Creates a new adapter for an object of class '`Pusht`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Pusht`

### createPushfAdapter

public org.eclipse.emf.common.notify.Adapter createPushfAdapter()
Creates a new adapter for an object of class '`Pushf`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Pushf`

### createPopAdapter

public org.eclipse.emf.common.notify.Adapter createPopAdapter()
Creates a new adapter for an object of class '`Pop`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Pop`

### createLocalVariableInstructionAdapter

public org.eclipse.emf.common.notify.Adapter createLocalVariableInstructionAdapter()
Creates a new adapter for an object of class '`Local Variable Instruction`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `LocalVariableInstruction`

### createLoadAdapter

public org.eclipse.emf.common.notify.Adapter createLoadAdapter()
Creates a new adapter for an object of class '`Load`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Load`

### createStoreAdapter

public org.eclipse.emf.common.notify.Adapter createStoreAdapter()
Creates a new adapter for an object of class '`Store`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Store`

### createFieldInstructionAdapter

public org.eclipse.emf.common.notify.Adapter createFieldInstructionAdapter()
Creates a new adapter for an object of class '`Field Instruction`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `FieldInstruction`

### createSetAdapter

public org.eclipse.emf.common.notify.Adapter createSetAdapter()
Creates a new adapter for an object of class '`Set`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Set`

### createGetAdapter

public org.eclipse.emf.common.notify.Adapter createGetAdapter()
Creates a new adapter for an object of class '`Get`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Get`

### createGetTransAdapter

public org.eclipse.emf.common.notify.Adapter createGetTransAdapter()
Creates a new adapter for an object of class '`Get Trans`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `GetTrans`

### createSetStaticAdapter

public org.eclipse.emf.common.notify.Adapter createSetStaticAdapter()
Creates a new adapter for an object of class '`Set Static`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `SetStatic`

### createGetStaticAdapter

public org.eclipse.emf.common.notify.Adapter createGetStaticAdapter()
Creates a new adapter for an object of class '`Get Static`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `GetStatic`

### createFindtypeAdapter

public org.eclipse.emf.common.notify.Adapter createFindtypeAdapter()
Creates a new adapter for an object of class '`Findtype`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Findtype`

### createFindtypeSAdapter

public org.eclipse.emf.common.notify.Adapter createFindtypeSAdapter()
Creates a new adapter for an object of class '`Findtype S`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `FindtypeS`

### createNewAdapter

public org.eclipse.emf.common.notify.Adapter createNewAdapter()
Creates a new adapter for an object of class '`New`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `New`

### createNewSAdapter

public org.eclipse.emf.common.notify.Adapter createNewSAdapter()
Creates a new adapter for an object of class '`New S`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `NewS`

### createDeleteAdapter

public org.eclipse.emf.common.notify.Adapter createDeleteAdapter()
Creates a new adapter for an object of class '`Delete`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Delete`

### createDupAdapter

public org.eclipse.emf.common.notify.Adapter createDupAdapter()
Creates a new adapter for an object of class '`Dup`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Dup`

### createDupX1Adapter

public org.eclipse.emf.common.notify.Adapter createDupX1Adapter()
Creates a new adapter for an object of class '`Dup X1`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `DupX1`

### createSwapAdapter

public org.eclipse.emf.common.notify.Adapter createSwapAdapter()
Creates a new adapter for an object of class '`Swap`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Swap`

### createSwapX1Adapter

public org.eclipse.emf.common.notify.Adapter createSwapX1Adapter()
Creates a new adapter for an object of class '`Swap X1`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `SwapX1`

### createBranchInstructionAdapter

public org.eclipse.emf.common.notify.Adapter createBranchInstructionAdapter()
Creates a new adapter for an object of class '`Branch Instruction`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `BranchInstruction`

### createIfAdapter

public org.eclipse.emf.common.notify.Adapter createIfAdapter()
Creates a new adapter for an object of class '`If`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `If`

### createIfnAdapter

public org.eclipse.emf.common.notify.Adapter createIfnAdapter()
Creates a new adapter for an object of class '`Ifn`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Ifn`

### createGotoAdapter

public org.eclipse.emf.common.notify.Adapter createGotoAdapter()
Creates a new adapter for an object of class '`Goto`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Goto`

### createIterateAdapter

public org.eclipse.emf.common.notify.Adapter createIterateAdapter()
Creates a new adapter for an object of class '`Iterate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Iterate`

### createEnditerateAdapter

public org.eclipse.emf.common.notify.Adapter createEnditerateAdapter()
Creates a new adapter for an object of class '`Enditerate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Enditerate`

### createInvokeInstructionAdapter

public org.eclipse.emf.common.notify.Adapter createInvokeInstructionAdapter()
Creates a new adapter for an object of class '`Invoke Instruction`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `InvokeInstruction`

### createInvokeOperationInstructionAdapter

public org.eclipse.emf.common.notify.Adapter createInvokeOperationInstructionAdapter()
Creates a new adapter for an object of class '`Invoke Operation Instruction`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `InvokeOperationInstruction`

### createInvokeAdapter

public org.eclipse.emf.common.notify.Adapter createInvokeAdapter()
Creates a new adapter for an object of class '`Invoke`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Invoke`

### createInvokeSuperAdapter

public org.eclipse.emf.common.notify.Adapter createInvokeSuperAdapter()
Creates a new adapter for an object of class '`Invoke Super`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `InvokeSuper`

### createInvokeStaticAdapter

public org.eclipse.emf.common.notify.Adapter createInvokeStaticAdapter()
Creates a new adapter for an object of class '`Invoke Static`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `InvokeStatic`

### createAllinstAdapter

public org.eclipse.emf.common.notify.Adapter createAllinstAdapter()
Creates a new adapter for an object of class '`Allinst`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Allinst`

### createAllinstInAdapter

public org.eclipse.emf.common.notify.Adapter createAllinstInAdapter()
Creates a new adapter for an object of class '`Allinst In`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `AllinstIn`

### createMatchAdapter

public org.eclipse.emf.common.notify.Adapter createMatchAdapter()
Creates a new adapter for an object of class '`Match`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Match`

### createMatchSAdapter

public org.eclipse.emf.common.notify.Adapter createMatchSAdapter()
Creates a new adapter for an object of class '`Match S`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `MatchS`

### createAddAdapter

public org.eclipse.emf.common.notify.Adapter createAddAdapter()
Creates a new adapter for an object of class '`Add`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Add`

### createRemoveAdapter

public org.eclipse.emf.common.notify.Adapter createRemoveAdapter()
Creates a new adapter for an object of class '`Remove`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Remove`

### createInsertAdapter

public org.eclipse.emf.common.notify.Adapter createInsertAdapter()
Creates a new adapter for an object of class '`Insert`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Insert`

### createGetSuperAdapter

public org.eclipse.emf.common.notify.Adapter createGetSuperAdapter()
Creates a new adapter for an object of class '`Get Super`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `GetSuper`

### createGetenvAdapter

public org.eclipse.emf.common.notify.Adapter createGetenvAdapter()
Creates a new adapter for an object of class '`Getenv`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Getenv`

### createReturnAdapter

public org.eclipse.emf.common.notify.Adapter createReturnAdapter()
Creates a new adapter for an object of class '`Return`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Return`

### createCodeBlockInstructionAdapter

public org.eclipse.emf.common.notify.Adapter createCodeBlockInstructionAdapter()
Creates a new adapter for an object of class '`Code Block Instruction`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `CodeBlockInstruction`

### createGetcbAdapter

public org.eclipse.emf.common.notify.Adapter createGetcbAdapter()
Creates a new adapter for an object of class '`Getcb`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Getcb`

### createInvokeAllCbsAdapter

public org.eclipse.emf.common.notify.Adapter createInvokeAllCbsAdapter()
Creates a new adapter for an object of class '`Invoke All Cbs`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `InvokeAllCbs`

### createInvokeCbAdapter

public org.eclipse.emf.common.notify.Adapter createInvokeCbAdapter()
Creates a new adapter for an object of class '`Invoke Cb`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `InvokeCb`

### createInvokeCbSAdapter

public org.eclipse.emf.common.notify.Adapter createInvokeCbSAdapter()
Creates a new adapter for an object of class '`Invoke Cb S`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `InvokeCbS`

### createNotAdapter

public org.eclipse.emf.common.notify.Adapter createNotAdapter()
Creates a new adapter for an object of class '`Not`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Not`

### createAndAdapter

public org.eclipse.emf.common.notify.Adapter createAndAdapter()
Creates a new adapter for an object of class '`And`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `And`

### createOrAdapter

public org.eclipse.emf.common.notify.Adapter createOrAdapter()
Creates a new adapter for an object of class '`Or`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Or`

### createXorAdapter

public org.eclipse.emf.common.notify.Adapter createXorAdapter()
Creates a new adapter for an object of class '`Xor`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Xor`

### createImpliesAdapter

public org.eclipse.emf.common.notify.Adapter createImpliesAdapter()
Creates a new adapter for an object of class '`Implies`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Implies`

### createIfteAdapter

public org.eclipse.emf.common.notify.Adapter createIfteAdapter()
Creates a new adapter for an object of class '`Ifte`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Ifte`

### createIsnullAdapter

public org.eclipse.emf.common.notify.Adapter createIsnullAdapter()
Creates a new adapter for an object of class '`Isnull`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Isnull`

### createGetenvtypeAdapter

public org.eclipse.emf.common.notify.Adapter createGetenvtypeAdapter()
Creates a new adapter for an object of class '`Getenvtype`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Getenvtype`

### createExecEnvAdapter

public org.eclipse.emf.common.notify.Adapter createExecEnvAdapter()
Creates a new adapter for an object of class '`Exec Env`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `ExecEnv`

### createModelAdapter

public org.eclipse.emf.common.notify.Adapter createModelAdapter()
Creates a new adapter for an object of class '`Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Model`

### createMetamodelAdapter

public org.eclipse.emf.common.notify.Adapter createMetamodelAdapter()
Creates a new adapter for an object of class '`Metamodel`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Metamodel`

### createEObjectAdapter

public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()
Creates a new adapter for the default case. This default implementation returns null.

Returns:
  the new adapter.